cufftType
Date: 2010-04-21

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jcuda.jcufft
Class cufftType

    java.lang.Object
      jcuda.jcufft.cufftType

    public class cufftType

extends java.lang.Object

The type of a CUFFT operation

Field Summary
`static int` | `CUFFT_C2C` CUFFT transform type Complex to complex, interleaved
`static int` | `CUFFT_C2R` CUFFT transform type Complex (interleaved) to real
`static int` | `CUFFT_D2Z` CUFFT transform type Double to Double-Complex
`static int` | `CUFFT_R2C` CUFFT transform type Real to complex (interleaved)
`static int` | `CUFFT_Z2D` CUFFT transform type Double-Complex to Double
`static int` | `CUFFT_Z2Z` CUFFT transform type Double-Complex to Double-Complex

Method Summary
`static java.lang.String` | `stringFor(int m)` Returns the String identifying the given cufftType

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CUFFT_R2C

    public static final int CUFFT_R2C

  CUFFT transform type Real to complex (interleaved)

  See Also:
    Constant Field Values

### CUFFT_C2R

    public static final int CUFFT_C2R

  CUFFT transform type Complex (interleaved) to real

  See Also:
    Constant Field Values

### CUFFT_C2C

    public static final int CUFFT_C2C

  CUFFT transform type Complex to complex, interleaved

  See Also:
    Constant Field Values

### CUFFT_D2Z

    public static final int CUFFT_D2Z

  CUFFT transform type Double to Double-Complex

  See Also:
    Constant Field Values

### CUFFT_Z2D

    public static final int CUFFT_Z2D

  CUFFT transform type Double-Complex to Double

  See Also:
    Constant Field Values

### CUFFT_Z2Z

    public static final int CUFFT_Z2Z

  CUFFT transform type Double-Complex to Double-Complex

  See Also:
    Constant Field Values

Method Detail

### stringFor

    public static java.lang.String stringFor(int m)

  Returns the String identifying the given cufftType

  Parameters:
    `m` - The cufftType
  Returns:
    The String identifying the given cufftType

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD